#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Mon Jan  7 16:00:15 2019

@author: salbreg
"""

import numpy as np
#----------------------------------------------------------
# Class Cell
#----------------------------------------------------------
class cell(object):
    """ class that defines the variables belonging to each cell"""
    #total cell cycle time between division
    cell_cycle_time = 0
    #cell age
    age = 0
    #time to delamination
    time_to_delamination = np.inf
    def __init__(self,
                 this_age,
                 this_type,
                 this_cell_cycle_time,
                 **kwargs):
        self.age = this_age
        self.type = this_type
        self.cell_cycle_time = this_cell_cycle_time
    def __repr__(self):#this function determines what is shown when the function is called
        return ("type: "+str(self.type)
                +", cell cycle time:"+str(self.cell_cycle_time)
                +", age:"+str(self.age)
                +", time to delamination:"+str(self.time_to_delamination ))
    def color(self):
        if self.type==1:
            this_color = 'r'
        else:
            this_color = 'b'
        return this_color
        